{% extends 'admin/layout.html.twig' %}

{% block heading 'Users' %}

{% block heading_small 'Manage all Users' %}
    
{% block body_id 'showuser' %}
    
{% block breadcrumb_class 'fa-user' %}

{% block breadcrumb_label 'Users' %}
    
{% block breadcrumb_li %}
    <li class="active">
        <i class="fa fa-list"></i> Show Users
    </li>
{% endblock %}    
    
{% block stylesheets %}
    {{ parent() }}
    {% stylesheets
        "assets/vendor/bootstrap-table/dist/bootstrap-table.min.css"
        filter="?uglifycss"
        filter="cssrewrite" output="css/show-users.css" %}
        <link rel="stylesheet" href="{{ asset_url }}" />
    {% endstylesheets %}
{% endblock %}

{% block body %}
    <div class="table-responsive">
        <table id="tbl-show-users" class="table table-bordered table-hover table-striped"
            data-toggle="tbl-show-users"
            data-url="{{ url('get_all_users') }}"
            data-height="400"
            data-side-pagination="server"
            data-pagination="true"
            data-page-list="[5, 10, 25, 50, 100, ALL]"
            data-search="true"
            data-show-refresh="true"
            data-show-toggle="true"
            data-detail-view="true"
            data-show-columns="true">
            <thead>
                <tr>
                    <th data-field="enable" data-checkbox="true"></th>
                    <th data-field="id">ID</th>
                    <th data-field="username">Username</th>
                    <th data-field="email">Email</th>
                    <th data-field="last_login">Last Login</th>
                    <th data-field="roles">Roles</th>
                    <th data-field="enabled">Enabled</th>
                    <th data-field="operate" data-events="operateEvents" data-formatter="operateFormatter">Operate</th>
                </tr>
            </thead>
        </table>
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {% javascripts
        "assets/vendor/bootstrap-table/dist/bootstrap-table.min.js"
        "assets/vendor/bootstrap-table/dist/locale/bootstrap-table-en-US.min.js"
        filter="?jsqueeze" %}
            <script src="{{ asset_url }}"></script>
    {% endjavascripts %}
    <script>
        var $table = $("#tbl-show-users");
        
        $(function () {
            $table.bootstrapTable();
        });
        
        function getIdSelections() {
            return $.map($table.bootstrapTable('getSelections'), function (row) {
                return row.id
            });
        }
        
        function detailFormatter(index, row) {
            var html = [];
            $.each(row, function (key, value) {
                html.push('<p><b>' + key + ':</b> ' + value + '</p>');
            });
            return html.join('');
        }
        
        function operateFormatter(value, row, index) {
            return [
                '<a class="like" href="javascript:void(0)" title="Like">',
                '<i class="glyphicon glyphicon-heart"></i>',
                '</a>  ',
                '<a class="remove" href="javascript:void(0)" title="Remove">',
                '<i class="glyphicon glyphicon-remove"></i>',
                '</a>'
            ].join('');
        }
        
        function getHeight() {
            return $(window).height() - $('h1').outerHeight(true);
        }
        
        window.operateEvents = {
            'click .like': function (e, value, row, index) {
                alert('You click like action, row: ' + JSON.stringify(row));
            },
            'click .remove': function (e, value, row, index) {
                $table.bootstrapTable('remove', {
                    field: 'id',
                    values: [row.id]
                });
            }
        };
        
        $(window).resize(function () {
            $table.bootstrapTable('resetView', {
                height: getHeight()
            });
        });

    </script>
{% endblock %}